> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Watermark

> Get a watermark by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /watermarks/{watermark_id}
openapi: 3.1.0
info:
  title: Aspect API
  description: Manage and search media in Aspect.
  version: 1.0.0
servers:
  - url: https://api.aspect.inc
security:
  - ApiKeyAuth: []
tags:
  - name: Users
  - name: API Keys
  - name: Workspaces
  - name: Projects
  - name: Directories
  - name: Assets
  - name: Attachments
  - name: Filesystem Items
  - name: Jobs
  - name: Collections
  - name: Comments
  - name: Search
  - name: Transcription
  - name: Metadata
  - name: Shares
  - name: Share Templates
  - name: Watermarks
paths:
  /watermarks/{watermark_id}:
    get:
      tags:
        - Watermarks
      summary: Get Watermark
      description: Get a watermark by ID.
      operationId: get_watermark
      parameters:
        - name: watermark_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Watermark Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WatermarkResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WatermarkResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Watermark ID
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
          description: Workspace ID
        name:
          type: string
          title: Name
          description: Display name
        config:
          $ref: '#/components/schemas/WatermarkConfig'
          description: Visual configuration
        version:
          type: integer
          title: Version
          description: Version number, incremented on each update
        active_share_count:
          type: integer
          title: Active Share Count
          description: Number of shares currently using this watermark
          default: 0
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By User Id
          description: >-
            User who created this watermark. Null when that account has been
            deleted
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
        updated:
          type: string
          format: date-time
          title: Updated
          description: Last update timestamp
      type: object
      required:
        - id
        - workspace_id
        - name
        - config
        - version
        - created_by_user_id
        - created
        - updated
      title: WatermarkResponse
      description: API response schema for a watermark
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WatermarkConfig:
      properties:
        text_pattern:
          type: string
          title: Text Pattern
          description: >-
            Text with variable placeholders ({viewer_email}, {viewer_name},
            {timestamp}, {workspace_name}), supports newlines
        position_x:
          type: number
          maximum: 1
          minimum: 0
          title: Position X
          description: Horizontal position (0.0 = left, 1.0 = right)
        position_y:
          type: number
          maximum: 1
          minimum: 0
          title: Position Y
          description: Vertical position (0.0 = top, 1.0 = bottom)
        text_color:
          type: string
          title: Text Color
          description: Hex color code for watermark text
          default: '#FFFFFF'
        alpha:
          type: number
          maximum: 1
          minimum: 0
          title: Alpha
          description: Opacity (0.0 = invisible, 1.0 = fully opaque)
          default: 1
        font_size:
          $ref: '#/components/schemas/WatermarkFontSize'
          description: Font size for watermark text
          default: medium
        font_weight:
          $ref: '#/components/schemas/WatermarkFontWeight'
          description: Font weight for watermark text
          default: normal
        rotation:
          type: number
          maximum: 180
          minimum: -180
          title: Rotation
          description: Clockwise rotation in degrees.
          default: 0
      type: object
      required:
        - text_pattern
        - position_x
        - position_y
      title: WatermarkConfig
      description: Visual configuration for watermark text overlay.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WatermarkFontSize:
      type: string
      enum:
        - small
        - medium
        - large
      title: WatermarkFontSize
      description: Font size options for watermark text overlay
    WatermarkFontWeight:
      type: string
      enum:
        - light
        - normal
        - bold
      title: WatermarkFontWeight
      description: Font weight options for watermark text overlay
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.